Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't fix block between colord and shared-color-profiles
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Featherfoot
l33t
l33t


Joined: 28 Dec 2002
Posts: 656
Location: Stuart, Florida

PostPosted: Wed Apr 10, 2013 12:02 pm    Post subject: Can't fix block between colord and shared-color-profiles Reply with quote

I have been having a problem with getting colord and shared-color-profiles to exist together on my system, and I don't understand why it is a problem. It has been a while and it is wreaking havoc with my system.

Here is the error.



    [blocks B ] media-gfx/shared-color-profiles ("media-gfx/shared-color-profiles" is blocking x11-misc/colord-0.1.28)
    [blocks B ] >=x11-misc/colord-0.1.27 (">=x11-misc/colord-0.1.27" is blocking media-gfx/shared-color-profiles-0.1.5)

    !!! Multiple package instances within a single package slot have been pulled
    !!! into the dependency graph, resulting in a slot conflict:



Equery shows the dependencies that don't match the error:

[/list]
jc@bopper ~ $ equery depends shared-color-profiles
* These packages depend on shared-color-profiles:
gnome-extra/gnome-color-manager-3.4.2 (media-gfx/shared-color-profiles)


c@bopper ~ $ equery depends colord
* These packages depend on colord:
gnome-base/gnome-control-center-3.6.3-r1 (colord ? >=x11-misc/colord-0.1.8)
gnome-extra/gnome-color-manager-3.4.2 (>=x11-misc/colord-0.1.12)
x11-libs/gtk+-3.6.3-r2 (colord ? >=x11-misc/colord-0.1.9)

jc@bopper /usr/portage/x11-misc/colord $ equery depends gnome-color-manager
* These packages depend on gnome-color-manager:
gnome-base/gnome-control-center-3.6.3-r1 (colord ? >=gnome-extra/gnome-color-manager-3)


[/list]

gtk+ is currently at gtk_3.6.3-r2, although the emerge would downgrade gtk+ to 3.4.4. I don't understand why.


    jc@bopper ~ $ cd /usr/portage/x11-misc/colord
    jc@bopper /usr/portage/x11-misc/colord $ ls
    ChangeLog colord-0.1.26-r1.ebuild colord-0.1.28.ebuild files
    Manifest colord-0.1.26.ebuild colord-0.1.31.ebuild metadata.xml
    jc@bopper /usr/portage/x11-misc/colord $



On its face, colord > 0.1.12 should solve the problem.

emerge --info follows:

    jc@bopper /etc/portage $ emerge --info
    Portage 2.1.11.55 (default/linux/amd64/13.0/desktop, gcc-4.6.3, glibc-2.15-r3, 3.7.10-gentoo x86_64)
    =================================================================
    System uname: Linux-3.7.10-gentoo-x86_64-AMD_Phenom-tm-_II_X4_970_Processor-with-gentoo-2.1
    KiB Mem: 4044876 total, 1396772 free
    KiB Swap: 1021948 total, 1021948 free
    Timestamp of tree: Tue, 09 Apr 2013 21:30:01 +0000
    ld GNU ld (GNU Binutils) 2.22
    app-shells/bash: 4.2_p37
    dev-java/java-config: 2.1.12-r1
    dev-lang/python: 2.7.3-r3, 3.1.5-r1, 3.2.3-r2
    dev-util/cmake: 2.8.9
    dev-util/pkgconfig: 0.28
    sys-apps/baselayout: 2.1-r1
    sys-apps/openrc: 0.11.8
    sys-apps/sandbox: 2.5
    sys-devel/autoconf: 2.13, 2.69
    sys-devel/automake: 1.10.3, 1.11.6, 1.12.6
    sys-devel/binutils: 2.22-r1
    sys-devel/gcc: 4.6.3
    sys-devel/gcc-config: 1.7.3
    sys-devel/libtool: 2.4-r1
    sys-devel/make: 3.82-r4
    sys-kernel/linux-headers: 3.7 (virtual/os-headers)
    sys-libs/glibc: 2.15-r3
    Repositories: gentoo
    ACCEPT_KEYWORDS="amd64"
    ACCEPT_LICENSE="* -@EULA"
    CBUILD="x86_64-pc-linux-gnu"
    CFLAGS="-O2 -pipe"
    CHOST="x86_64-pc-linux-gnu"
    CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
    CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
    CXXFLAGS="-O2 -pipe"
    DISTDIR="/usr/portage/distfiles"
    FCFLAGS="-O2 -pipe"
    FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
    FFLAGS="-O2 -pipe"
    GENTOO_MIRRORS="http://distfiles.gentoo.org"
    LANG="en_US.UTF-8"
    LDFLAGS="-Wl,-O1 -Wl,--as-needed"
    MAKEOPTS="-j5"
    PKGDIR="/usr/portage/packages"
    PORTAGE_CONFIGROOT="/"
    PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
    PORTAGE_TMPDIR="/var/tmp"
    PORTDIR="/usr/portage"
    PORTDIR_OVERLAY=""
    SYNC="rsync://rsync.gentoo.org/gentoo-portage"
    USE="3dnow X Xaw3d a52 aac aalib acl acpi aim alsa amd64 ao apache2 apm audiofile avahi berkdb blas bluetooth branding bzip2 cairo calendar caps cdda cddb cdinstall cdparanoia cdr cgi clamav cli consolekit cracklib crypt css ctype cups curl cvs cxx dbi dbm dbus dbx dga directfb dri dts dv dvb dvd dvdr eds emboss encode enscript evo examples exif expat fam fastcgi fbcon ffmpeg firefox flac fontconfig foomaticdb fortran ftp gcj gdbm gif gimp glu gmp gnome gnuplot gnutls gphoto2 gpm graphviz gsl gsm gstreamer gtk gtkhtml guile gzip hal handbook hddtemp iconv icq icu idn ieee1394 imagemagick imlib innodb introspection iodbc ipv6 jabber java java6 javascript jbig jingle jpeg jpeg2k kde kontact lapack lcms ldap libcaca libedit libgda libnotify libwww lm_sensors lua lzma lzo mad maildir mikmod milter mime mmap mmx mng modules motif mozilla mp3 mp4 mpeg mpi mplayer msn mudflap multilib musepac mysql mysqli nas ncurses networkmanager nls nntp nptl nsplugin odbc offensive ofx ogg opengl openmp osc oscar oss pam pango pch pcntl pcre pdf perl php plasma plotutils png policykit portaudio posix postgres ppds pulseaudio python qt3support qt4 quicktime raw rdesktop readline rss ruby samba sasl sdl semantic-desktop session sharedext sharedmem simplexml smp sndfile snmp soap sockets socks5 speex spell sqlite sqlite3 sse sse2 ssl startup-notification subversion suid svg symlink syslog sysvipc szip tcl tcpd theora threads tidy tiff timiditytk tokenizer truetype udev udisks unicode upower usb v4l v4l2 vcd vorbis wmf wxwidgets x264 xcb xcomposite xft xine xinerama xinetd xml xnlrpc xosd xv xvid yahoo zeroconf zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XFCE_PLUGINS="brightness menu trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
    Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

    jc@bopper /etc/portage $
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1942
Location: Zurich, Switzerland

PostPosted: Wed Apr 10, 2013 12:21 pm    Post subject: Reply with quote

try upgrading gnome-extra/gnome-color-manager to 3.6.1 or 3.8.0. (emerge -a1 ">gnome-extra/gnome-color-manager-3.6")
it looks, as there was a dependency change between 3.4 and 3.6.
_________________
read the portage output!
If my answer is too concise, ask for an explanation.
Back to top
View user's profile Send private message
Featherfoot
l33t
l33t


Joined: 28 Dec 2002
Posts: 656
Location: Stuart, Florida

PostPosted: Wed Apr 10, 2013 6:29 pm    Post subject: Reply with quote

I emerged shared-color-profiles again and then did the emerge that you asked.

BTW: gnome-color-manager-3.8 is masked on my system.

I noted that colord-gtk showed up with version 0.1.24. That is the only version on my system and it doesn't have any version requirements for colord that I can detect.

Here's what I got:

    bopper portage # emerge -a1 ">=gnome-extra/gnome-color-manager-3.6"

    These are the packages that would be merged, in order:

    Calculating dependencies... done!
    [ebuild N ] x11-misc/colord-0.1.28 USE="examples gusb introspection udev -doc -extra-print-profiles (-systemd) -vala"
    [ebuild N ] x11-libs/colord-gtk-0.1.24 USE="introspection -doc -vala"
    [ebuild U ~] gnome-extra/gnome-color-manager-3.6.1 [3.4.2]
    [blocks B ] media-gfx/shared-color-profiles ("media-gfx/shared-color-profiles" is blocking x11-misc/colord-0.1.28)
    [blocks B ] >=x11-misc/colord-0.1.27 (">=x11-misc/colord-0.1.27" is blocking media-gfx/shared-color-profiles-0.1.5)

    * Error: The above package list contains packages which cannot be
    * installed at the same time on the same system.

    (media-gfx/shared-color-profiles-0.1.5::gentoo, installed) pulled in by
    media-gfx/shared-color-profiles required by @selected

    (x11-misc/colord-0.1.28::gentoo, ebuild scheduled for merge) pulled in by
    x11-misc/colord:=[introspection] required by (x11-libs/colord-gtk-0.1.24::gentoo, ebuild scheduled for merge)
    >=x11-misc/colord-0.1.8 required by (gnome-base/gnome-control-center-3.6.3-r1::gentoo, installed)
    >=x11-misc/colord-0.1.27 required by (gnome-extra/gnome-color-manager-3.6.1::gentoo, ebuild scheduled for merge)


    For more information about Blocked Packages, please refer to the following
    section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

    http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


    bopper portage #


Depends are still the same:

    bopper portage # equery depends shared-color-manager
    * These packages depend on shared-color-manager:
    bopper portage # equery depends colord
    * These packages depend on colord:
    gnome-base/gnome-control-center-3.6.3-r1 (colord ? >=x11-misc/colord-0.1.8)
    gnome-extra/gnome-color-manager-3.4.2 (>=x11-misc/colord-0.1.12)
    x11-libs/gtk+-3.6.3-r2 (colord ? >=x11-misc/colord-0.1.9)
    bopper portage #
Back to top
View user's profile Send private message
Featherfoot
l33t
l33t


Joined: 28 Dec 2002
Posts: 656
Location: Stuart, Florida

PostPosted: Wed Apr 10, 2013 7:15 pm    Post subject: Reply with quote

An update:

I was able to get

    media-gfx/shared-color-profiles-0.1.5
    x11-misc/colord-0.1.26-r1


to emerge together.

I am still trying to come up with an "emerge --newuse --deep --update --with-bdeps=y world" that works. So far they insist on updating colord to a later version which fails.
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1942
Location: Zurich, Switzerland

PostPosted: Thu Apr 11, 2013 8:09 am    Post subject: Reply with quote

could you rerun equery depends shared-color-profiles and query depends colord.
I only briefly checked the dependencies, and gnome-extra/gnome-color-manager-3.6.1 had a dependency on either colord or shared-color-profiles, therefore shared-color-profiles could be removed, as any other package depends on colord.


V.
_________________
read the portage output!
If my answer is too concise, ask for an explanation.
Back to top
View user's profile Send private message
Featherfoot
l33t
l33t


Joined: 28 Dec 2002
Posts: 656
Location: Stuart, Florida

PostPosted: Thu Apr 11, 2013 1:36 pm    Post subject: Reply with quote


    bopper portage # equery depends shared-color-profiles
    * These packages depend on shared-color-profiles:
    gnome-extra/gnome-color-manager-3.6.1 (media-gfx/shared-color-profiles)


colord:

    bopper portage # equery depends colord
    * These packages depend on colord:
    gnome-base/gnome-control-center-3.6.3-r1 (colord ? >=x11-misc/colord-0.1.8)
    gnome-base/gnome-settings-daemon-3.6.4 (colord ? >=x11-misc/colord-0.1.27)
    gnome-extra/gnome-color-manager-3.6.1 (>=x11-misc/colord-0.1.27)
    x11-libs/colord-gtk-0.1.24 (x11-misc/colord[introspection?,vala?])
    x11-libs/gtk+-3.6.3-r2 (colord ? >=x11-misc/colord-0.1.9)
    bopper portage #


It is interesting that the depends listing is different from what I posted previously given that I now have my system pretty much back together.

I redid all of the gnome-related keywords in /etc/portage/package.keywords. I think a part of the problem was that keywording specific versions of packages was required: Using >= got me into trouble. This works for KDE and is a great time saver...

At some point colord and shared-color-profiles could be on the same system. It seems clear that equery depends doesn't list all dependencies, especially those associated upgraded versions of packages.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum